### Constructor

# Camel SaslAnonymous new

#### Declaration [src]

    CamelSasl*
    camel_sasl_anonymous_new (
      CamelSaslAnonTraceType type,
      const gchar* trace_info
    )

#### Description [src]

Create a new `CamelSaslAnonymous` object.

#### Parameters

`type`

  Type: `CamelSaslAnonTraceType`

  Trace type.

`trace_info`

  Type: `const gchar*`

  Trace info.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelSasl`

A new `CamelSasl` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.